on enterFrame
  global testData, gCPU, oPatchManager
  if the machineType = 256 then
    set gCPU to #PC
  else
    set gCPU to #Mac
  end if
  set oldDelim to the itemDelimiter
  set the itemDelimiter to "/"
  set today to the short date
  delete item 3 of today
  set the itemDelimiter to oldDelim
  if 0 then
    if gCPU = #PC then
      set testData to FileIO(mnew, "?write", "AMBER_00.DAT")
    else
      set testData to FileIO(mnew, "?write", "AMBER data. " & today)
    end if
  else
    set testData to 0
  end if
  if objectp(testData) then
    if gCPU <> #PC then
      testData(mSetFinderInfo, "TEXT", "R*ch")
    end if
    testData(mWriteString, "••• Test data: " & the date & ", " & the time & " •••" & RETURN)
    testData(mWriteString, "  Projector: " & the movieName & RETURN)
    testData(mWriteString, "  Partition: " & the memorysize & " bytes (" & the memorysize / 1024 & " K)" & RETURN)
    testData(mWriteString, "  Remaining after projector startup: " & the freeBytes & " bytes (" & the freeBytes / 1024 & " K)" & RETURN)
  end if
  set patchFile to #None
  repeat with fNum = 1 to the maxinteger
    set fName to getNthFileNameInFolder(the pathName, fNum)
    if fName = EMPTY then
      exit repeat
    end if
    if fName contains "AJBPATCH." then
      set patchFile to fName
    end if
  end repeat
  if stringp(patchFile) then
    set the visible of window patchFile to 0
    if count(the windowList) = 0 then
      alert("Can't read patch file, probably corrupted")
      exit
    end if
    tell window patchFile
      set oPatchManager to birth(script "cPatchManager")
    end tell
    forget(window patchFile)
  else
  end if
end
